org.gradle.nativebinaries

## Interface NativeLibrarySpec

- All Superinterfaces:
    ComponentSpec, LibrarySpec, Named, NativeComponentSpec, TargetedNativeComponent

      @Incubating
      public interface NativeLibrarySpec
      extends LibrarySpec, NativeComponentSpec, TargetedNativeComponent

  A library component that is built by a gradle project.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeLibraryRequirement` | `getApi()` Converts this library to a native library requirement that uses the api library linkage.
    `NativeLibraryRequirement` | `getShared()` Converts this library to a native library requirement that uses the shared library variant.
    `NativeLibraryRequirement` | `getStatic()` Converts this library to a native library requirement that uses the static library variant.

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeComponentSpec

      `getBaseName, getBinaries, setBaseName`

    - ### Methods inherited from interface org.gradle.runtime.base.ComponentSpec

      `getDisplayName, getProjectPath, getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.nativebinaries.TargetedNativeComponent

      `targetBuildTypes, targetFlavors, targetPlatforms`

- - ### Method Detail

    - #### getShared

          NativeLibraryRequirement getShared()

      Converts this library to a native library requirement that uses the shared library variant. This is the default.

    - #### getStatic

          NativeLibraryRequirement getStatic()

      Converts this library to a native library requirement that uses the static library variant.

    - #### getApi

          NativeLibraryRequirement getApi()

      Converts this library to a native library requirement that uses the api library linkage.